#pragma once
#include "window.h"
enum NOISETYPE {
	CLOUD,
	RANDOM,
	
};
enum DIMENSION {
	ONE,TWO,THREE,FOUR
};

class noise {
	public:
	int freq;
	int octave;
	int amp;
	NOISETYPE type;
	DIMENSION dims;
	noise(int freq,int octave, int amp, NOISETYPE type, DIMENSION dims):
	freq(freq), octave(octave), amp(amp), type(type),dims(dims) {}
/// to explain the image generator
/// \param x int
/// \param y int
/// ^ these here is the position the noise will start rendering
/// \param w
/// \param h
/// these are the image width and height. PLEASE DO NOT GET CONFUSED
	Image* gen(short w, short h,int x, int y);
};

Image* cloud(noise* noise,short w, short h,int x, int y);
Image* random(noise* noise, short w, short h,int x, int y);